<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;

class UserEmailVerification extends AbstractModel
{
    protected $table = 'user_email_verifications';

    public $fillable = [
        'token', 'is_complete', 'is_active', 'is_sent'
    ];
    /**
     * @param $query
     * @return mixed
     */
    public function scopeActive($query){
        return $query->where('is_active', true)->where('is_complete', false);
    }

    /**
     * @return BelongsTo
     */
    public function user(): BelongsTo {
        return $this->belongsTo(User::class, 'email', 'email');
    }
}
